#
# color2.rb
#   $Id: color2.rb,v 1.1 2000/11/18 19:03:31 keiko Exp $
#


require "narray"
require "dcl"
include DCL
include Math


NMAX = 50
x = NArray.sfloat(NMAX+1)
y = NArray.sfloat(NMAX+1)

#-- data ---
x.indgen(1950.0, 1.0)
r    = 3.7
y[0] = 0.5
for n in 0..NMAX-1
  y[n+1] = r*y[n]*(1.0-y[n])
end
yave = rave(y, NMAX+1, 1)
y = -4 * (y - yave)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(x[0], x[NMAX], -1.5, 2.0)
grsvpt(0.2, 0.9, 0.2, 0.9)
grstrn(1)
grstrf

sgiset('IFONT', 2)
uziset('INDEXT1', 402)
uziset('INDEXT2', 404)
uziset('INDEXL1', 303)
uziset('INDEXL2', 123)
uxaxdv('B', 2.0, 10.0)
uxaxdv('T', 2.0, 10.0)
uxsttl('B', 'YEAR', 0.0)

uyaxdv('L', 0.1, 0.5)
uyaxdv('R', 0.1, 0.5)
cttl = csgi(131) + 'T [K]'
uysttl('L', cttl, 0.0)

uxmttl('T', 'INTERANNUAL VARIATION', 0.0)

sgspli(24)
sgplu(NMAX+1, x, y)
grcls

