#
# kihon9.rb
#   $Id: kihon9.rb,v 1.2 2000/11/18 19:03:33 keiko Exp $
#


require "narray"
require "dcl"
include DCL
include NMath


NMAX = 40
XMIN = 0.0
XMAX = 4*PI
YMIN = -1.0
YMAX = 1.0

x = NArray.sfloat(NMAX+1)
y = NArray.sfloat(NMAX+1)

#-- data ---
dt = XMAX/NMAX
x = x.indgen * dt
y = sin(x)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sgfrm

#--  饤󥿥 = 4 (ǥե) ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.7, 0.9)
sgstrn(1)
sgstrf

sgsplt(4)
sgplu(NMAX+1, x, y)

#--  饤󥿥 = 4 (BITLEN*2) ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.5, 0.7)
sgstrn(1)
sgstrf

sgrset('BITLEN', 0.006)
sgplu(NMAX+1, x, y)

sgrset('BITLEN', 0.003)

#--  ӥåȥѥ ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.3, 0.5)
sgstrn(1)
sgstrf

#itype = bitpci('1111111100100100')
itype = '0b1111111100100100'.oct
sgsplt(itype)
sgplu(NMAX+1, x, y)

#--  ӥåȥѥ(Ĺ) ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.1, 0.3)
sgstrn(1)
sgstrf

sgiset('NBITS', 32)
#itype = bitpci('10010010011111000111110001111100')
itype =  '0b10010010011111000111110001111100'.oct -  ('0b1' + "0"*32).oct 
sgsplt(itype)
sgplu(NMAX+1, x, y)

sgcls

