#
# quick5.rb
#   $Id: quick5.rb,v 1.2 2000/11/18 19:03:42 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math

NX = 21
NY = 21
XMIN = -1.0
XMAX = 1.0
YMIN = -1.0
YMAX = 1.0

u = NArray.sfloat(NX, NY)
v = NArray.sfloat(NX, NY)

#-- data ----
for j in 0..NY-1
  for i in 0..NX-1
    x = XMIN + (XMAX-XMIN)*i/(NX-1)
    y = YMIN + (YMAX-YMIN)*j/(NY-1)
    u[i,j] = x
    v[i,j] = -y
  end
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(XMIN, XMAX, YMIN, YMAX)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)
grstrf

usdaxs
ugvect(u, NX, v, NX, NX, NY)

grcls

