#
# kihon8.rb
#
# $Id: kihon8.rb,v 1.1 2000/11/21 03:15:39 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


XMIN = 1.0
XMAX = 100.0
YMIN = 1.0
YMAX = 100.0
NMAX = 50


def bplot

  x = NumArray.new(Float, NMAX)
  y = NumArray.new(Float, NMAX)

  slpvpr(1)

#-- 켡ؿ ----
  x.span(2.0, 2.0)
  y = x

  sgsplt(1)
  sgplu(NMAX, x, y)

#-- ؿؿ ----
  y = (0.05*x).exp

  sgsplt(2)
  sgplu(NMAX, x, y)

#-- пؿ ----
  y = 20.0 * x.log

  sgsplt(3)
  sgplu(NMAX, x, y)

#-- ʸ ----
  sgstxs(0.02)
  sgtxu(30.0, 40.0, '(30,40)')

end


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sglset('LCLIP', true)

sgfrm
#-- ľѰͺɸ() ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.1, 0.4, 0.6, 0.9)
sgstrn(1)
sgstrf

bplot

#-- п(y)ɸ() ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.6, 0.9, 0.6, 0.9)
sgstrn(2)
sgstrf

bplot

#-- п(x)ɸ() ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.1, 0.4, 0.1, 0.4)
sgstrn(3)
sgstrf

bplot
      
#-- пɸ() ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.6, 0.9, 0.1, 0.4)
sgstrn(4)
sgstrf

bplot

sgcls

